Herald
OpenapiUsers

Get user by ID

Get detailed information about a specific user. Requires `users.view` permission. Cross-realm targets return 404 (indistinguishable from missing).

GET
/api/users/{userId}

Get detailed information about a specific user. Requires users.view permission. Cross-realm targets return 404 (indistinguishable from missing).

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

userId*string

User ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "createdAt": "string",  "email": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "nickname": "string",  "providerIds": [    "be62a783-e45d-4429-b9a5-5003beea6332"  ],  "realmId": "string",  "status": 0,  "updatedAt": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}